package lu.uni.mobile.bonk;

import android.os.Bundle;

import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class HostGameActivity extends BonkActivity {
    TextView userNameTextView;
    ListView joinersListView;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.host_game);
        setButtonActivityListener(R.id.btnStart, PlayGameActivity.class);

        userNameTextView = (TextView) findViewById(R.id.textUserName);

        ListAdapter adapter = new ArrayAdapter<String>(this, R.id.listJoiners);
        joinersListView = (ListView) findViewById(R.id.listJoiners);
        joinersListView.setAdapter(adapter);
    }

    @Override
    protected void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        // TODO add the joiners' user names and notify them with a JSON announcement.
        String[] userNames = new String[] { userNameTextView.getText().toString() };
        outState.putStringArray("userNames", userNames);
        outState.putInt("userNumber", 1); // the host is always 1
    }

    @Override
    protected void onRestoreInstanceState(Bundle savedInstanceState) {
        super.onRestoreInstanceState(savedInstanceState);

        // TODO populate the joiners list
        String[] userNames = savedInstanceState.getStringArray("userNames");
        userNameTextView.setText(userNames[0]);
    }
}